Bug 56303 - The width of target controller's combo list should be set to the current panel size, not on label size of the controllers
Summary: The width of target controller's combo list should be set to the current pane...
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: HTTP (show other bugs)
Version: 2.11
Hardware: All All
: P2 minor (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-22 15:21 UTC by manojkumar tenali
Modified: 2014-07-01 21:19 UTC (History)
1 user (show)



Attachments
Scroll (150.24 KB, image/png)
2014-03-22 15:21 UTC, manojkumar tenali
Details

Note You need to log in before you can comment on or make changes to this bug.
Description manojkumar tenali 2014-03-22 15:21:11 UTC
Created attachment 31425 [details]
Scroll

1.while recording using Http script recorder ,user need to scroll right to stop recording .

Difficult to do and usability issue
Comment 1 Milamber 2014-06-07 18:02:48 UTC
Fixed.

URL: http://svn.apache.org/r1601161
Log:
Bug 56303 - The width of target controller's combo list should be set to the current panel size, not on label size of the controllers
Bugzilla Id: 56303

Modified:
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/gui/ProxyControlGui.java
    jmeter/trunk/xdocs/changes.xml
Comment 2 Philippe Mouawad 2014-06-29 21:18:44 UTC
This fix breaks application on MacOSX:
2014/06/29 23:15:40 WARN  - jmeter.gui.util.MenuFactory: Could not instantiate org.apache.jmeter.protocol.http.proxy.gui.ProxyControlGui java.lang.ClassCastException: javax.swing.Box$Filler cannot be cast to javax.swing.JScrollPane
	at org.apache.jmeter.protocol.http.proxy.gui.ProxyControlGui.createTargetPanel(ProxyControlGui.java:747)
	at org.apache.jmeter.protocol.http.proxy.gui.ProxyControlGui.createTestPlanContentPanel(ProxyControlGui.java:689)
	at org.apache.jmeter.protocol.http.proxy.gui.ProxyControlGui.init(ProxyControlGui.java:590)
	at org.apache.jmeter.protocol.http.proxy.gui.ProxyControlGui.<init>(ProxyControlGui.java:223)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:513)
	at java.lang.Class.newInstance0(Class.java:357)
	at java.lang.Class.newInstance(Class.java:310)
	at org.apache.jmeter.gui.util.MenuFactory.initializeMenus(MenuFactory.java:469)
	at org.apache.jmeter.gui.util.MenuFactory.<clinit>(MenuFactory.java:161)
	at org.apache.jmeter.control.gui.TestPlanGui.createPopupMenu(TestPlanGui.java:93)
	at org.apache.jmeter.gui.tree.JMeterTreeNode.createPopupMenu(JMeterTreeNode.java:156)
	at org.apache.jmeter.gui.action.EditCommand.doAction(EditCommand.java:47)
	at org.apache.jmeter.gui.action.ActionRouter.performAction(ActionRouter.java:81)
	at org.apache.jmeter.gui.action.ActionRouter.access$000(ActionRouter.java:40)
	at org.apache.jmeter.gui.action.ActionRouter$1.run(ActionRouter.java:63)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:715)
	at java.awt.EventQueue.access$400(EventQueue.java:82)
	at java.awt.EventQueue$2.run(EventQueue.java:676)
	at java.awt.EventQueue$2.run(EventQueue.java:674)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:86)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:685)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:296)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:211)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:201)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:196)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:188)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
Comment 3 Philippe Mouawad 2014-06-29 21:21:36 UTC
On startup, I get the exception and then impossible to add any element to root node.
Comment 4 Philippe Mouawad 2014-07-01 21:19:03 UTC
Date: Tue Jul  1 21:18:02 2014
New Revision: 1607188

URL: http://svn.apache.org/r1607188
Log:
Bug 56303 - The width of target controller's combo list should be set to the current panel size, not on label size of the controllers
Bugzilla Id: 56303

Modified:
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/gui/ProxyControlGui.java